height = 50 :: int_slider("Height Count", 1, 64)
width = 6 :: int_slider("Width Count", 1, 64)
offset_mult = 0.2 :: float_slider("Offset Mult", 0.0, 1, 0.1)

even = false
for ih=1,height do
 for iw=1,width do
  local b=brk()
  b.pos.y = (ih - 0.5) * b.col.dim.y

  local off = 0
  if even then
   off = b.col.dim.x * offset_mult
  end
  b.pos.x = iw * b.col.dim.x + off
  b.rot.y = 90 * ih * 0.1
 end
 even = not even
end